# Method: admin.directory.v1.customers.chrome.printServers.list

Lists print server configurations.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/{parent=customers/*}/chrome/printServers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The [unique ID](https://developers.google.com/workspace/admin/directory/reference/rest/v1/customers) of the customer's Google Workspace account. Format: `customers/{id}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of objects to return (default `100`, max `100`). The service might return fewer than this value. |
| `pageToken` | `string` A generated token to paginate results (the `nextPageToken` from a previous call). |
| `orgUnitId` | `string` If `orgUnitId` is present in the request, only print servers owned or inherited by the organizational unit (OU) are returned. If the [`PrintServer`](https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printServers) resource's `orgUnitId` matches the one in the request, the OU owns the server. If `orgUnitId` is not specified in the request, all print servers are returned or filtered against. |
| `filter` | `string` Search query in [Common Expression Language syntax](https://github.com/google/cel-spec). Supported filters are `displayName`, `description`, and `uri`. Example: `printServer.displayName=='marketing-queue'`. |
| `orderBy` | `string` Sort order for results. Supported values are `displayName`, `description`, or `createTime`. Default order is ascending, but descending order can be returned by appending "desc" to the `orderBy` field. For instance, `orderBy=='description desc'` returns the print servers sorted by description in descending order. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "printServers": [ { object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printServers#PrintServer`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `printServers[]` | ``object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printServers#PrintServer`)`` List of print servers. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` in a request to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.chrome.printers`
- `
  https://www.googleapis.com/auth/admin.chrome.printers.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).